All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.util
Class ISUtility

    com.sas.services.information.util.ISUtility

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class ISUtility

Method Summary
`static java.lang.String` | `getLocalizedTypeName(java.lang.String type)` Get a user friendly display string for a type from SmartTypes in the default locale.
`static java.lang.String` | `getLocalizedTypeName(java.lang.String type, java.util.Locale locale)` Get a user friendly display string for a type from SmartTypes in the specified locale.
`static PathUrl` | `getPathFromEntityKey(UserContextInterface user, java.lang.String iSEntityKey)` Get a PathUrl from an Information Service entity key.

Method Detail

### getPathFromEntityKey

    public static PathUrl getPathFromEntityKey(UserContextInterface user,
                                               java.lang.String iSEntityKey)
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Get a PathUrl from an Information Service entity key. The key may come from a MetadataInterface.getEntityKey() method call, or a BrowseMetadataInterface.getISEntityKey() call. A single trip to the repository is performed to get the necessary information to find the path information to build the PathUrl object.

  Parameters:
    `user` - The UserContext to use to look in the repository for the path information.
    `iSEntityKey` - The Information Service entity key representing the object to calculate the path for.
  Returns:
    The PathUrl object for the metadata object, or null if no valid path can be determined.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - If a remote object failure occurs with the repository.

### getLocalizedTypeName

    public static java.lang.String getLocalizedTypeName(java.lang.String type)

  Get a user friendly display string for a type from SmartTypes in the default locale.

  Parameters:
    `type` - A type string from SmartTypes.
  Returns:
    The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

### getLocalizedTypeName

    public static java.lang.String getLocalizedTypeName(java.lang.String type,
                                                        java.util.Locale locale)

  Get a user friendly display string for a type from SmartTypes in the specified locale.

  Parameters:
    `type` - A type string from SmartTypes.
  Returns:
    The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.